Skip to content

Knowledge connections and indexes

All API areas

Use the linked wire models for field constraints. Operation metadata does not enumerate every possible HTTP error or replace current server authorization.

On this page

Observe

HTTP
POST /api/v1/tenants/{tenant_id}/catalog/availability

Contract operation: KnowledgeAvailabilityController.observe.

SDK Method
Python knowledge_availability
TypeScript availability.observe
Java client.catalog.availability

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[AvailabilityRequest]] Yes Not specified

Request and response

Contract Value
Request schema AvailabilityRequest
Response schema AvailabilityResponse
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Processing

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-processing

Contract operation: KnowledgeAvailabilityController.processing.

SDK Method
Python knowledge_processing
TypeScript availability.processing
Java client.catalog.processing

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ProcessingRequest]] Yes Not specified

Request and response

Contract Value
Request schema ProcessingRequest
Response schema ProcessingResponse
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Roles

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-roles

Contract operation: KnowledgeConnectionsController.roles.

SDK Method
Python knowledge_roles
TypeScript knowledgeConnections.roles
Java client.knowledgeConnections.roles

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema KnowledgeRoles
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

List connections

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-connections

Contract operation: KnowledgeConnectionsController.list_connections.

SDK Method
Python knowledge_connections
TypeScript knowledgeConnections.list
Java client.knowledgeConnections.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema Page[KnowledgeConnection]
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Create

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-connections

Contract operation: KnowledgeConnectionsController.create.

SDK Method
Python create_knowledge_connection
TypeScript knowledgeConnections.create
Java client.knowledgeConnections.create

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[ConnectionInput]] Yes Not specified

Request and response

Contract Value
Request schema KnowledgeConnectionInput
Response schema KnowledgeConnection
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Update

HTTP
PUT /api/v1/tenants/{tenant_id}/knowledge-connections/{connection_id}

Contract operation: KnowledgeConnectionsController.update.

SDK Method
Python update_knowledge_connection
TypeScript knowledgeConnections.update
Java client.knowledgeConnections.update

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
connection_id path PathVar[str] Yes Not specified
body body Valid[Body[ConnectionInput]] Yes Not specified

Request and response

Contract Value
Request schema KnowledgeConnectionInput
Response schema KnowledgeConnection
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-connections/{connection_id}

Contract operation: KnowledgeConnectionsController.get.

SDK Method
Python knowledge_connection
TypeScript knowledgeConnections.get
Java client.knowledgeConnections.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
connection_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema KnowledgeConnection
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Delete

HTTP
DELETE /api/v1/tenants/{tenant_id}/knowledge-connections/{connection_id}

Contract operation: KnowledgeConnectionsController.delete.

SDK Method
Python delete_knowledge_connection
TypeScript knowledgeConnections.remove
Java client.knowledgeConnections.remove

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
connection_id path PathVar[str] Yes Not specified
expected_revision query QueryParam[int] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema Deleted
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

List indexes

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-indexes

Contract operation: KnowledgeIndexesController.list_indexes.

SDK Method
Python knowledge_indexes
TypeScript knowledgeIndexes.list
Java client.knowledgeIndexes.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str] Yes Not specified
domain query QueryParam[str] Yes Not specified
limit query QueryParam[int] No 50
offset query QueryParam[int] No 0
status query QueryParam[str | None] No null
dimensions query QueryParam[int | None] No null
model_id query QueryParam[str | None] No null
provider_kind query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema IndexPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Choices

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-index-choices

Contract operation: KnowledgeIndexesController.choices.

SDK Method
Python native_index_choices
TypeScript knowledgeIndexes.choices
Java client.knowledgeIndexes.choices

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str] Yes Not specified
domain query QueryParam[str] Yes Not specified
limit query QueryParam[int] No 50
offset query QueryParam[int] No 0
status query QueryParam[str | None] No null
dimensions query QueryParam[int | None] No null
model_id query QueryParam[str | None] No null
provider_kind query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema NativeIndexPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Choice

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-index-choices/{choice_id}

Contract operation: KnowledgeIndexesController.choice.

SDK Method
Python native_index_choice
TypeScript knowledgeIndexes.choice
Java client.knowledgeIndexes.choice

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
choice_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str] Yes Not specified
domain query QueryParam[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema NativeIndexChoice
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge-indexes/{index_id}

Contract operation: KnowledgeIndexesController.get.

SDK Method
Python knowledge_index
TypeScript knowledgeIndexes.get
Java client.knowledgeIndexes.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
index_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema KnowledgeIndexView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Plan

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-indexes/plan

Contract operation: KnowledgeIndexesController.plan.

SDK Method
Python plan_knowledge_index
TypeScript knowledgeIndexes.plan
Java client.knowledgeIndexes.plan

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[IndexPlanInput]] Yes Not specified

Request and response

Contract Value
Request schema IndexPlanInput
Response schema IndexPlanView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Create

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-indexes

Contract operation: KnowledgeIndexesController.create.

SDK Method
Python create_knowledge_index
TypeScript knowledgeIndexes.create
Java client.knowledgeIndexes.create

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[IndexCreateInput]] Yes Not specified

Request and response

Contract Value
Request schema IndexCreateInput
Response schema IndexJobView
Success status 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Activate

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-indexes/{index_id}/activate

Contract operation: KnowledgeIndexesController.activate.

SDK Method
Python activate_knowledge_index
TypeScript knowledgeIndexes.activate
Java client.knowledgeIndexes.activate

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
index_id path PathVar[str] Yes Not specified
body body Valid[Body[IndexActivateInput]] Yes Not specified

Request and response

Contract Value
Request schema IndexActivateInput
Response schema KnowledgeIndexView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Cancel

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-indexes/{index_id}/cancel

Contract operation: KnowledgeIndexesController.cancel.

SDK Method
Python cancel_knowledge_index
TypeScript knowledgeIndexes.cancel
Java client.knowledgeIndexes.cancel

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
index_id path PathVar[str] Yes Not specified
body body Valid[Body[IndexRevisionInput]] Yes Not specified

Request and response

Contract Value
Request schema IndexRevisionInput
Response schema KnowledgeIndexView
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Resume

HTTP
POST /api/v1/tenants/{tenant_id}/knowledge-indexes/{index_id}/resume

Contract operation: KnowledgeIndexesController.resume.

SDK Method
Python resume_knowledge_index
TypeScript knowledgeIndexes.resume
Java client.knowledgeIndexes.resume

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
index_id path PathVar[str] Yes Not specified
body body Valid[Body[IndexRevisionInput]] Yes Not specified

Request and response

Contract Value
Request schema IndexRevisionInput
Response schema IndexJobView
Success status 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

  • Idempotency-Key (required; caller-supplied stable operation key)

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/knowledge/settings

Contract operation: OrganizationKnowledgeController.get.

SDK Method
Python organization_knowledge_settings
TypeScript organizationKnowledge.get
Java client.organizationKnowledge.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema OrganizationKnowledgeSettings
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Update

HTTP
PUT /api/v1/tenants/{tenant_id}/knowledge/settings

Contract operation: OrganizationKnowledgeController.update.

SDK Method
Python update_organization_knowledge_settings
TypeScript organizationKnowledge.update
Java client.organizationKnowledge.update

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[OrganizationKnowledgeSettingsInput]] Yes Not specified

Request and response

Contract Value
Request schema OrganizationKnowledgeSettingsInput
Response schema OrganizationKnowledgeSettings
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.